'use strict';

var framework = require('@sapphire/framework');
var Events_cjs = require('../lib/types/Events.cjs');

var __defProp = Object.defineProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var _PluginListener = class _PluginListener extends framework.Listener {
  constructor(context) {
    super(context, { event: Events_cjs.SubcommandPluginEvents.ChatInputSubcommandError });
  }
  run(error, context) {
    const { name, location } = context.command;
    this.container.logger.error(`Encountered error on chat input subcommand "${name}" at path "${location.full}"`, error);
  }
};
__name(_PluginListener, "PluginListener");
var PluginListener = _PluginListener;

exports.PluginListener = PluginListener;
//# sourceMappingURL=PluginChatInputSubcommandError.cjs.map
//# sourceMappingURL=PluginChatInputSubcommandError.cjs.map